Subject: Re: [PATCH 1/3] update_unicode.sh: update the uniset repo if it exists

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Dec 2016 22:42:22 -0800

Torsten Bögershausen <[email-masked]> writes:

> The typical instructions I have seen are a sequence of shell commands
> to be executed, which hopefully simply work by doing "copy-and-paste".
> I find this error-prone, as you you may loose the last character while
> moving the mouse, or don't check the error message or return codes.
> Having a pre-baked shell script, which does use "&&" is in that way
> more attractive,
> and the README can be as simple as run "update-unicode.sh" and that's it.

That's OK as well.

> "contrib/uniwidth/" may be different to find, how about contrib/update-unicode ?

This, too.  And as long as .gitignore pattern is set up correctly
there, I do not think we terribly mind "git clone ..from..there.."
into it, either.